Skip to content

# Class: NotificationsStore

Renderer.Component.NotificationsStore

## Table of contents

### Constructors

- constructor

### Properties

- autoHideTimers
- notifications

### Methods

- add
- addAutoHideTimer
- getById
- remove
- removeAutoHideTimer

## Constructors

### constructor

• new NotificationsStore()

## Properties

### autoHideTimers

• `Protected` autoHideTimers: `Map`<NotificationId, number>

### notifications

• notifications: `IObservableArray`<Notification>

## Methods

### add

▸ add(`notification`): () => `void`

#### Parameters

Name | Type
--- | ---
`notification` | Notification

#### Returns

`fn`

▸ (): `void`

##### Returns

`void`

### addAutoHideTimer

▸ addAutoHideTimer(`id`): `void`

#### Parameters

Name | Type
--- | ---
`id` | NotificationId

#### Returns

`void`

### getById

▸ getById(`id`): Notification

#### Parameters

Name | Type
--- | ---
`id` | NotificationId

#### Returns

Notification

### remove

▸ remove(`id`): `void`

#### Parameters

Name | Type
--- | ---
`id` | NotificationId

#### Returns

`void`

### removeAutoHideTimer

▸ removeAutoHideTimer(`id`): `void`

#### Parameters

Name | Type
--- | ---
`id` | NotificationId

#### Returns

`void`